# class Gtk::TreeStore

### Public Class Methods

new(*column_types) click to toggle source

    # File lib/gtk3/tree-store.rb, line 20
    def initialize(*column_types)
      initialize_raw(column_types)
    end

Also aliased as: initialize_raw

### Public Instance Methods

append(parent) click to toggle source

    # File lib/gtk3/tree-store.rb, line 54
    def append(parent)
      iter = append_raw(parent)
      setup_iter(iter)
      iter
    end

Also aliased as: append_raw
append_raw(parent)
Alias for: append
initialize_raw(*column_types)
Alias for: new
insert(parent, position, values=nil) click to toggle source

    # File lib/gtk3/tree-store.rb, line 25
    def insert(parent, position, values=nil)
      iter = insert_raw(parent, position)
      setup_iter(iter)
      set_values(iter, values) if values
      iter
    end

Also aliased as: insert_raw
insert_after(parent, sibling) click to toggle source

    # File lib/gtk3/tree-store.rb, line 40
    def insert_after(parent, sibling)
      iter = insert_after_raw(parent, sibling)
      setup_iter(iter)
      iter
    end

Also aliased as: insert_after_raw
insert_after_raw(parent, sibling)
Alias for: insert_after
insert_before(parent, sibling) click to toggle source

    # File lib/gtk3/tree-store.rb, line 33
    def insert_before(parent, sibling)
      iter = insert_before_raw(parent, sibling)
      setup_iter(iter)
      iter
    end

Also aliased as: insert_before_raw
insert_before_raw(parent, sibling)
Alias for: insert_before
insert_raw(parent, position, values=nil)
Alias for: insert
prepend(parent) click to toggle source

    # File lib/gtk3/tree-store.rb, line 47
    def prepend(parent)
      iter = prepend_raw(parent)
      setup_iter(iter)
      iter
    end

Also aliased as: prepend_raw
prepend_raw(parent)
Alias for: prepend